> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Modify bank account

PATCH https://api.letsdeel.com/rest/gp/workers/{worker_id}/banks/{bank_id}
Content-Type: application/json

Partially updates the bank account for the worker; only fields provided in the request body are modified.

 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/endpoints/worker-information/update-gp-worker-bank

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — Unique identifier for a worker in UUID format.
- `bank_id` (string, required) — Unique identifier for the bank account in UUID format.

### Body (application/json)

This endpoint expects an object.

- `city` (string, optional) — The city of the user's address.
- `iban` (string, optional) — The International Bank Account Number (IBAN).
- `email` (string, optional) — The user's email address.
- `phone` (string, optional) — The user's phone number.
- `postal` (string, optional) — The user's postal or ZIP code.
- `tax_id` (string, optional) — The user's tax identification number.
- `bank_code` (string, optional) — The bank code.
- `bank_name` (string, optional) — Name of the user's bank.
- `full_name` (string, optional) — Full name of the user.
- `swift_bic` (string, optional) — SWIFT/BIC code for the bank.
- `rib_number` (string, optional) — The RIB (Relevé d'Identité Bancaire).
- `branch_code` (string, optional) — The branch code of the user's bank.
- `account_type` (string, optional) — Bank account type.
- `country_code` (string, optional) — The country code of the user's address.
- `address_line1` (string, optional) — The primary address line.
- `address_line2` (string, optional) — The secondary address line.
- `currency_code` (string, optional) — The currency code for transactions.
- `original_name` (string, optional) — The original name of the user.
- `account_number` (string, optional) — The user's bank account number.
- `province_state` (string, optional) — The state or province of the user's address.
- `bank_branch_name` (string, optional) — The name of the user's bank branch.
- `bank_country_code` (string, optional) — The country code where the bank is located.
- `ach_routing_number` (string, optional) — The ACH (Automated Clearing House) Routing Number.

## Response

### 200

Successful operation.

- `data` (GpWorkersWorkerIdBanksBankIdPatchResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpWorkersWorkerIdBanksBankIdPatchResponsesContentApplicationJsonSchemaData

- `id` (string, required) — Unique identifier for the modified bank account.
- `status` (string, required) — The status of the modified bank account.
- `created_at` (string, required) — Timestamp of when the bank account was created, in ISO-8601 format.
- `updated_at` (string, required) — Timestamp of the last update to the bank account, in ISO-8601 format.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "id": "6f50539e-9f62-45d0-a42e-62a62fbb984a",
    "status": "success",
    "created_at": "2022-05-24T09:38:46.235Z",
    "updated_at": "2022-05-24T09:38:46.235Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```